/grbl - auto-level - view gcode > JS error after using auto-levelling i tried

/grbl - auto-level - view gcode > JS error

after using auto-levelling i tried to view the Gcode, but nothing happened, looking at chrome inspector console here is what i see :

Uncaught TypeError: Cannot read property ‘addZToAllGCmds’ of undefined
at eval (eval at globalEval (http://code.jquery.com/jquery-2.1.0.min.js:1:1), :485:39)
at Array.forEach (native)
at Object.envelope (eval at globalEval (http://code.jquery.com/jquery-2.1.0.min.js:1:1), :444:34)
at Object.envelopeView (eval at globalEval (http://code.jquery.com/jquery-2.1.0.min.js:1:1), :362:34)
at HTMLButtonElement.dispatch (http://code.jquery.com/jquery-2.1.0.min.js:3:6055)
at HTMLButtonElement.r.handle (http://code.jquery.com/jquery-2.1.0.min.js:3:2830)

Am i the only one getting that problem ?

I know that the original Gcode is a bit weird, it has very long decimal (which i guess make no sense to be that long), here a sample from the top :
G21 G90 G40
(profile 1)
G0 Z3
T0 M6
G17
M3
G0 X5.665482233502538 Y7.302284263959391 F200
G1 Z-0.15 F50
G1 X11.00253807106599 Y7.307106598984772 F150
G3 X11.289340101522843 Y7.365482233502538 I0 J0.751269035532995
G3 X11.532994923857869 Y7.527918781725889 I-0.2868020304568528 J0.6928934010152283
G3 X11.69543147208122 Y7.771573604060914 I-0.5304568527918782 J0.5304568527918782
G3 X11.753807106598986 Y8.058375634517766 I-0.6928934010152283 J0.2868020304568528
G1 X11.753807106598986 Y9.883248730964468

Which workspace?

It’s possible it’s your very looooong decimals, but as long as Javascript is parsing those ok then it wouldn’t be an issue. The only thing is, I’ve never heard of anyone ever getting an error like you have which makes me think it is something about your Gcode. Can you try with some other Gcode or just apply auto-level to the chilipeppr default gcode and see if that gives you same error?

i tried with a more compact/normal gcode and i got the same JS error (on /grbl). I will try again on firefox, to see it the same problem happens

yes, same problem with firefox (51.0.1 (64-bit)), i send an eagle file, so the gcode used in auto level was generate by chilipeppr.

error in firefox cosole
TypeError: options is undefined[Learn More] jquery-2.1.0.min.js%20line%202%20%3E%20eval:485:1
.envelope/< http://code.jquery.com/jquery-2.1.0.min.js%20line%202%20>%20eval:485:1
forEach self-hosted
.envelope http://code.jquery.com/jquery-2.1.0.min.js%20line%202%20>%20eval:444:13
.envelopeView http://code.jquery.com/jquery-2.1.0.min.js%20line%202%20>%20eval:362:29
bound self-hosted
o.event.dispatch http://code.jquery.com/jquery-2.1.0.min.js:3:6003
http://o.event.add/r.handle http://code.jquery.com/jquery-2.1.0.min.js:3:2813

Can you post a link to the gcode so we can test like for like? Also which workspace are you using?